package com.VinhVIP;

import java.util.ArrayList;
import android.app.*;
import android.content.*;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.*;

public class MainActivity extends Activity
{
    @Override
    public void onCreate(Bundle bd)
    {
        super.onCreate(bd);
        setContentView(R.layout.main);
        final ArrayList < String > arrayWork = new ArrayList < String >();
        final ArrayAdapter < String > arrayAdapter = new ArrayAdapter < String >(this, android.R.layout.simple_list_item_1, arrayWork);
        final EditText workEnter = (EditText) findViewById(R.id.work_enter);
        final EditText hourEdit = (EditText) findViewById(R.id.hour_edit);
        final Button button = (Button) findViewById(R.id.button);
        final EditText minuteEdit = (EditText) findViewById(R.id.minute_edit);
        final ListView list = (ListView) findViewById(R.id.list);
        list.setAdapter(arrayAdapter);
        OnClickListener add = new OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                AlertDialog.Builder builder = new AlertDialog.Builder(MainActivity.this);
                final String td = "Info missing";
                final String nd1 = "Nhập đầy đủ thông tin";
                final String nd2 = "Thời gian không hợp lệ";
                final String mainString = workEnter.getText() . toString();
                final String gio = hourEdit.getText() . toString();
                final String phut = minuteEdit.getText() . toString();
                final int igio = Integer.parseInt(gio);
                final int iphut = Integer.parseInt(phut);
                if (mainString.equals("") || gio.equals("") || phut.equals(""))
                {
                    builder.setTitle(td);
                    builder.setMessage(nd1);
                    builder.setPositiveButton("Continue", new DialogInterface.OnClickListener()
						{
							public void onClick(DialogInterface dialog, int which)
							{
							}
						});
                    builder.show();
                }
                else if (igio > 23 || iphut > 59)
                {
                    builder.setTitle(td);
                    builder.setMessage(nd2);
                    builder.setPositiveButton("Continue", new DialogInterface.OnClickListener()
						{
							public void onClick(DialogInterface dialog, int which)
							{
							}
						});
                    builder.show();
                }
                else
                {
                    boolean add_hour = false, add_minute = false;
                    if (igio < 10)
                    {
                        add_hour = true;
                    }
                    if (iphut < 10)
                    {
                        add_minute = true;
                    }
                    String s = mainString + " - " + (add_hour ? "0" : "") + gio + " : " + (add_minute ? "0" : "") + phut;
                    arrayWork.add(0, s);
                    arrayAdapter.notifyDataSetChanged();
                    workEnter.setText("");
                    hourEdit.setText("");
                    minuteEdit.setText("");
                }
            }
        };
        button.setOnClickListener(add);
    }
}
